import { IFloatingFilterParams } from "ag-grid-community";
import { EnumerationType, ValueSelected } from "../../model/common-model";
import { EnumerationTypeService } from '../../services/enumeration-type-service';
import { BaseRelationFloatingFilter } from './base-relation-floating-filter';
export declare class EnumerationFloatingFilter extends BaseRelationFloatingFilter<EnumerationType> {
    service: EnumerationTypeService;
    filterValuesSelected: Array<ValueSelected>;
    private category;
    get filterType(): string;
    init(params: IFloatingFilterParams & {
        category: number;
        service: EnumerationTypeService;
    }): Promise<void>;
    getEnumerationTypes(): Promise<void>;
    filterValuesChanged(newVal: boolean, oldVal: boolean): void;
    onOpenDropDown(): Promise<void>;
    setupContentGui(): string;
    setupContentGuiSideFilter(): string;
    toggleFilterMode(): void;
    setInstanceModel(): void;
}
